.revolutionary-editor {
  padding: $section-big-margin 0;
}

.centered {
  display: flex;
  flex-flow: column;
  gap: $title-big-margin;
  align-items: center;
  text-align: center;

  @media screen and (max-width: $width-medium) {
    padding: $section-mid-margin 0;
  }

  .revolutionary__title {
    font-size: $h2-font-size;
    font-weight: $bold-font;
    text-transform: uppercase;

    @media screen and (max-width: $width-medium) {
      font-size: 2rem;
    }
  }

  .revolutionary__description {
    font-size: $normal-font-size;
    max-width: 840px;
    line-height: 140%;
    color: $grey-text-color;

    @media screen and (max-width: $width-medium) {
      font-size: $smaller-font-size;
    }
  }
}

.icons__items {
  display: flex;
  flex-flow: row wrap;
  column-gap: $gap-padding;
  justify-content: center;

  .icons__item {
    display: flex;
    font-size: $smaller-font-size;
    font-weight: 700;
    margin-bottom: $gap-padding;
    cursor: pointer;

    .icon__section {
      display: flex;
      gap: .2rem;
      align-items: center;
      height: 100%;
      color: $black-text-color;
      padding: .6em .8em;
      border: 1px solid $input-color;
      border-top-left-radius: 4px;
      border-bottom-left-radius: 4px;
      background-color: $input-bg-color;
      transition: .4s;
    }

    .data__section {
      display: flex;
      align-items: center;
      padding: .6em .8em;
      border-top: 1px solid $input-color;
      border-bottom: 1px solid $input-color;
      border-right: 1px solid $input-color;
      border-top-right-radius: 4px;
      border-bottom-right-radius: 4px;
      transition: .4s;
    }

    path {
      transition: .4s;
    }

    &:hover {
      .icon__section {
        color: $first-color;
        transition: .4s;
      }

      path {
        fill: $first-color;
        transform: rotate(-8deg);
        transition: .4s;
      }
    }
  }
}